LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XEndnotesSupplier Interface Referencepublished

makes it possible to access the endnotes within the context (e.g. More...

`import"XEndnotesSupplier.idl";`

Inheritance diagram for XEndnotesSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getEndnotes ()
com::sun::star::beans::XPropertySet | getEndnoteSettings ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access the endnotes within the context (e.g.

document).

## Member Function Documentation

## ◆ getEndnotes()

com::sun::star::container::XIndexAccess getEndnotes | ( |  | ) |

Returns
  a collection of endnotes.

## ◆ getEndnoteSettings()

com::sun::star::beans::XPropertySet getEndnoteSettings | ( |  | ) |

Returns
  the endnote settings of the document.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XEndnotesSupplier.idl